{
    "include": [
      "**/*",
      "**/.server/**/*",
      "**/.client/**/*",
      ".react-router/types/**/*"
    ],
    "compilerOptions": {
      "noCheck": true,
      "lib": ["DOM", "DOM.Iterable", "ES2022"],
      "types": ["node", "vite/client"],
      "target": "ES2022",
      "module": "ES2022",
      "moduleResolution": "bundler",
      "jsx": "react-jsx",
      "rootDirs": [".", "./.react-router/types"],
      "baseUrl": ".",
      "paths": {
        "~/*": ["./app/*"],
        "@/*": ["./resources/js/*"]
      },
      "esModuleInterop": true,
      "verbatimModuleSyntax": false,
      "noEmit": true,
      "resolveJsonModule": true,
      "skipLibCheck": true,
      "strict": false,
      "allowJs": true,
      "checkJs": false,
    }
  }
